Bug 21436 - Switch two-column templates to Bootstrap grid: Tools part 4
Summary: Switch two-column templates to Bootstrap grid: Tools part 4
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-27 14:34 UTC by Owen Leonard
Modified: 2019-01-10 16:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4 (13.92 KB, patch)
2018-09-27 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4 (14.01 KB, patch)
2018-11-09 16:39 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4 (14.08 KB, patch)
2018-12-13 21:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-27 14:34:06 UTC
These two-column tools templates can be updated to use the Bootstrap grid.

 - tools/scheduler.tt
 - tools/showdiffmarc.tt
 - tools/stage-marc-import.tt
 - tools/upload-images.tt
 - tools/upload.tt
 - tools/viewlog.tt
Comment 1 Owen Leonard 2018-09-27 14:57:31 UTC
Created attachment 79521 [details] [review]
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Task scheduler
 - Tools -> Staged MARC management -> View batch -> View diff of
   imported record which duplicates a record in the catalog
 - Tools -> Stage MARC for import
   - Test each step
 - Tools -> Upload local cover image
   - Test each step
 - Tools -> Upload any file
   - Test each step
 - Tools -> Log viewer
   - Test from the tools menu and from both the bibliographic
     patron details pages ("Modification log").
Comment 2 Josef Moravec 2018-11-09 16:39:10 UTC
Created attachment 82180 [details] [review]
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Task scheduler
 - Tools -> Staged MARC management -> View batch -> View diff of
   imported record which duplicates a record in the catalog
 - Tools -> Stage MARC for import
   - Test each step
 - Tools -> Upload local cover image
   - Test each step
 - Tools -> Upload any file
   - Test each step
 - Tools -> Log viewer
   - Test from the tools menu and from both the bibliographic
     patron details pages ("Modification log").

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2018-12-13 21:36:48 UTC
Created attachment 83191 [details] [review]
Bug 21436: Update two-column templates with Bootstrap grid: Tools part 4

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Task scheduler
 - Tools -> Staged MARC management -> View batch -> View diff of
   imported record which duplicates a record in the catalog
 - Tools -> Stage MARC for import
   - Test each step
 - Tools -> Upload local cover image
   - Test each step
 - Tools -> Upload any file
   - Test each step
 - Tools -> Log viewer
   - Test from the tools menu and from both the bibliographic
     patron details pages ("Modification log").

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2019-01-09 01:16:50 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-10 16:24:25 UTC
Enhancement, will not be backported to 18.11.x series.